List all payment methods
curl --request GET \
--url https://api.salesbricks.com/api/v2/customers/{customer_id}/payment-methods \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/customers/{customer_id}/payment-methods"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/customers/{customer_id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"payment_method_id": "pm_1ABC123card456789",
"is_default": true,
"type": "card",
"card": {
"brand": "visa",
"last4": "4242"
}
}
]Payment Methods
List all payment methods
Retrieves all payment methods associated with the subscription’s customer. Returns formatted payment method details including cards and bank accounts.
GET
/
customers
/
{customer_id}
/
payment-methods
List all payment methods
Authorizations
API key for authentication
Path Parameters
Pattern:
^([a-zA-Z\d\-]+)$Response
200 - application/json
Unique Stripe payment method identifier
Whether this is the default payment method for the customer
Type of payment method
card- Cardus_bank_account- US Bank Accountlink- Link
Available options:
card, us_bank_account, link Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Why this invoice will not accept the method it is attached to.
Show child attributes
Show child attributes